From 232a0e36302ebb07aa442cda46ea3c18b497b0b1 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 30 2020 23:06:41 +0000
Subject: [PATCH 1882/2232] Exclude enum's repr field from missing_docs


This is a synthetic field that isn't visible in the FFI module's source
code.

---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index e6773b5..c063cf3 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -296,6 +296,7 @@ fn expand_enum(enm: &Enum) -> TokenStream {
         #derives
         #[repr(transparent)]
         pub struct #ident {
+            #[allow(missing_docs)]
             pub repr: #repr,
         }
 
diff --git a/tests/ui/deny_missing_docs.stderr b/tests/ui/deny_missing_docs.stderr
index fcf11a5..c9cb8c9 100644
--- a/tests/ui/deny_missing_docs.stderr
+++ b/tests/ui/deny_missing_docs.stderr
@@ -31,14 +31,6 @@ error: missing documentation for a struct
   |
   = note: this error originates in an attribute macro (in Nightly builds, run with -Z macro-backtrace for more info)
 
-error: missing documentation for a struct field
- --> $DIR/deny_missing_docs.rs:9:1
-  |
-9 | #[cxx::bridge]
-  | ^^^^^^^^^^^^^^
-  |
-  = note: this error originates in an attribute macro (in Nightly builds, run with -Z macro-backtrace for more info)
-
 error: missing documentation for an associated constant
  --> $DIR/deny_missing_docs.rs:9:1
   |

